﻿using System;

namespace Eka.Inheritance.MDIControls
{
    /// <summary>
    /// 
    /// </summary>
    internal enum ControlOperation
    {
        Move = 0,
        Resize = 1,
        MoveAndResize = 2
    }

    /// <summary>
    /// 
    /// </summary>
    public enum CollasibleButtonPosition
    {
        Left = 0,
        Right = 1
    }

    /// <summary>
    /// 
    /// </summary>
    public enum ToggleButtonState
    {
        Expanded = 0,
        Collapsed = 1
    }

    /// <summary>
    /// 
    /// </summary>
    public enum SearchButtonPosition
    {
        Left = 0,
        Right = 1
    }

    public class ToggleEventArgs : EventArgs
    {
        private ToggleButtonState mToggleButtonState = ToggleButtonState.Expanded;

        public ToggleButtonState CurrentToggleState
        {
            get 
            { 
                return mToggleButtonState;
            }

            set
            {
                mToggleButtonState = value; 
            }
        }
    }

    public class SearchTextArgs : EventArgs
    {
        private string mSearchText = string.Empty;

        public string SearchText
        {
            get 
            { 
                return mSearchText;
            }
            set 
            { 
                mSearchText = value;
            }
        }
    }
}