﻿
Namespace CRUD
    Public MustInherit Class _BaseCRUD(Of TEkaFormData As {New, EkaFormDataCRUD})
        Inherits C1.Win.C1Ribbon.C1RibbonForm
        Implements IDefaultControlMenuConsumer

        Protected EkaData As TEkaFormData
        Protected EkaFormFacade As FormFacade

        Public Sub New()
            MyBase.New()

            Me.EkaData = New TEkaFormData
        End Sub


#Region "Menu Consumer"
        Public Overridable Sub Open(ByVal Control As Control, ByVal Command As ControlMenuCommand) Implements IDefaultControlMenuConsumer.Open
        End Sub

#End Region

#Region "Overridable"

        Protected Overridable Function EkaOGetNewFormFacade() As FormFacade
            Return New FormFacade(
                Me.EkaData.OwnerForm,
                Me)
        End Function



        Protected Overridable Sub EkaOInitializeForm()
            Throw New NotImplementedException(New StackFrame().GetMethod().Name & " has to be overriden.")
        End Sub


#End Region

#Region "Protected"
        ''' <summary>
        ''' Creates a new form facade.
        ''' </summary>
        Protected Sub EkaRegisterForm()
            Me.EkaFormFacade = Me.EkaOGetNewFormFacade()
        End Sub


#End Region


    End Class
End Namespace